﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;

namespace Tetris
{
    class Helper
    {
        // return a cw rotation matrix around the specified point
        static public Matrix createRotationL(float x, float y)
        {
            Matrix trans1, trans2, rotation;
            trans1 = Matrix.CreateTranslation(-x, -y, 0);
            trans2 = Matrix.CreateTranslation(x, y, 0);
            // we don't use Matrix.CreateRotationZ: because it has a culcuration error.
            rotation = new Matrix(0, -1, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
            return trans1 * rotation * trans2;
        }

        // return a ccw rotation matrix around the specified point
        static public Matrix createRotationR(float x, float y)
        {
            Matrix trans1, trans2, rotation;
            trans1 = Matrix.CreateTranslation(-x, -y, 0);
            trans2 = Matrix.CreateTranslation(x, y, 0);
            // we don't use Matrix.CreateRotationZ: because it has a culcuration error.
            rotation = new Matrix(0, 1, 0, 0, -1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
            return trans1 * rotation * trans2;
        }

    }
}
