﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Tetris
{
    class Player
    {
        int level;
        int score;
        int lines;

        public Player()
        {
            this.level = 1;
            this.score = 0;
            this.lines = 0;
        }

        // Speed
        public int Speed
        {
            get
            {
                return this.level * 15;
            }
        }

        // Update status
        public void UpdateStatus(int numDelLines)
        {
            lines += numDelLines;
            score += (int)Math.Pow(2, numDelLines-1) * level;
            if (lines >= level * 10)
                level += 1;
        }

        // Draw status in status window
        public void DrawStatus(SpriteBatch spriteBatch, SpriteFont font, int offset_x, int offset_y){
            spriteBatch.DrawString(font, string.Format("Level: {0:D}", level), new Vector2(offset_x+15, offset_y+15), Color.DarkGray);
            spriteBatch.DrawString(font, string.Format("Lines: {0:D}", lines), new Vector2(offset_x+15, offset_y+50), Color.DarkGray);
            spriteBatch.DrawString(font, string.Format("Score: {0:D}", score), new Vector2(offset_x+15, offset_y+85), Color.DarkGray);
        }
    }
}
